package com.liquidnet.service.kylin.dto.vo.admin;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 退款手续费说明
 * </p>
 *
 * @author jiangxiulong
 * @since 2021-10-13
 */
@Data
public class OrderRefundPoundageF implements Cloneable {
    @ApiModelProperty(value = "演出id")
    private String performanceId;
    @ApiModelProperty(value = "阶梯退款数据")
    private List<OrderRefundPoundage> orderRefundPoundage;

    private static final OrderRefundPoundageF obj = new OrderRefundPoundageF();

    public static OrderRefundPoundageF getNew() {
        try {
            return (OrderRefundPoundageF) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new OrderRefundPoundageF();
        }
    }
}
